Signup
POST
/auth/signupRequest body
requiredapplication/jsonemailstringrequiredpasswordstringrequiredtenant_namestringrequiredaccepted_tosbooleandefault: false
accepted_privacybooleandefault: false
legal_versionstringdefault: ""
Responses
200Successful Response
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X POST "/auth/signup" \
-H "Content-Type: application/json" \
-d '{
"email": "string",
"password": "string",
"tenant_name": "string",
"accepted_tos": false,
"accepted_privacy": false,
"legal_version": ""
}'const response = await fetch("/auth/signup", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"email": "string",
"password": "string",
"tenant_name": "string",
"accepted_tos": false,
"accepted_privacy": false,
"legal_version": ""
})
});import requests
response = requests.post(
"/auth/signup",
headers={
"Content-Type": "application/json"
},
json={
"email": "string",
"password": "string",
"tenant_name": "string",
"accepted_tos": False,
"accepted_privacy": False,
"legal_version": ""
},
)Response
"string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}